cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/uploadAttachment \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: multipart/form-data' \
--form file=string \
--form fileUrl=string{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}record
Upload attachment
Upload an attachment from a file or URL and append it to the cell
POST
/
table
/
{tableId}
/
record
/
{recordId}
/
{fieldId}
/
uploadAttachment
cURL
curl --request POST \
--url https://app.teable.ai/api/table/%7BtableId%7D/record/%7BrecordId%7D/%7BfieldId%7D/uploadAttachment \
--header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
--header 'content-type: multipart/form-data' \
--form file=string \
--form fileUrl=string{
"id": "<string>",
"fields": {},
"name": "<string>",
"autoNumber": 123,
"createdTime": "<string>",
"lastModifiedTime": "<string>",
"createdBy": "<string>",
"lastModifiedBy": "<string>",
"permissions": {},
"undeletable": true
}授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
响应
201 - application/json
Returns record data after update.
The record id.
Objects with a fields key mapping fieldId or field name to value for that field.
Show child attributes
Show child attributes
primary field value
Auto number, a unique identifier for each record
Created time, date ISO string (new Date().toISOString).
Last modified time, date ISO string (new Date().toISOString).
Created by, user name
Last modified by, user name
Permissions for the record
Show child attributes
Show child attributes
Whether the record is undeletable
Last modified on March 5, 2026
此页面对您有帮助吗?
⌘I

